Kaspersky
Question

extension signed by “Kaspersky Lab UK Limited” which will be incompatible with a future version of macOS. After update Mac OS Catalina to 10.15.4

  • 25 March 2020
  • 3 replies
  • 349 views

Dear,

 

Recently I update my Mac OS to the top version 10.15.4.

 

And now it shows me a notifications above:

 

Legacy System Extension

Existing software on your system loaded a system extension signed by “Kaspersky Lab UK Limited” which will be incompatible with a future version of macOS. Contact the developer for support.


3 replies

Userlevel 7
Badge +6

Hello @ravigomez.

Welcome!

:a: Is Legacy System Extension showing in a browser?

If “yes”, check the browser extensions: KIS interface, Application preferences windowBrowsers tab, check the KIS protection extension in each installed browser?

:b: Since upgrading the MAC has KIS been updated?

Please let us know? 

Thank you:pray_tone3:

Flood:whale:

i’m getting the same error after catalina updates as well.

it prompted upon the restart after the updates from Apple.

not from browser.

had try to check for updates for Kaspersky but there isn’t any.

Userlevel 7
Badge +6

Hello @toothytooth

Welcome!

Please contact Kaspersky Technical Support, please provide detailed history, images, the lab may ask for traces & logs, taken as the issue is replicated, they will guide you if these are needed. 
Please let us know the outcome when it’s available?
Thank you:pray_tone3:

Flood:whale:
KIS2020

Reply / Ответить